function tko = teager_kaiser(x)
%% Funkce pro vypocet Teager Kaiserova energetickeho oparatoru ve vektorovem tvaru
% tko = teager_kaiser(x)
% 
% Tato funkce vraci Teageruv Kaiseruv energeticky operator.
% 
% x     - sloupcovy vektor
% tko   - vystupni sloupcovy vektor TKO

%% Vypocet TKO
tko = x(2:end-1).^2-x(1:end-2).*x(3:end);